Bug 947028 - failed to install repository NFS graphical
Summary: failed to install repository NFS graphical
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-01 09:32 UTC by Tao Wu
Modified: 2014-10-28 23:45 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-01 18:46:16 UTC
Type: Bug


Attachments (Terms of Use)
screenshot (58.71 KB, image/png)
2013-04-01 09:32 UTC, Tao Wu
no flags Details
anaconda log (10.37 KB, text/x-log)
2013-04-08 09:57 UTC, Tao Wu
no flags Details
packaging log (350.23 KB, text/x-log)
2013-04-08 09:58 UTC, Tao Wu
no flags Details

Description Tao Wu 2013-04-01 09:32:20 UTC
Created attachment 730212 [details]
screenshot

Description of problem:
Failed to verify that an installation can be performed from a NFS repository configured in the Anaconda GUI

Version-Release number of selected component (if applicable):
19.14

How reproducible:
100%

Steps to Reproduce:
1.Boot the installer using any available non-live means (anything except Live.iso) 
2.Change the installation source to point to a custom NFS repository 
3.Proceed with installation 
  
Actual results:
Got "Error setting up software source"

Expected results:
The installer accepts the NFS repository definition

Additional info:

Comment 1 Chris Lumens 2013-04-01 14:36:03 UTC
There's no useful information in this bug report.  Please attach /tmp/anaconda.log and /tmp/packaging.log as individual files to thus bug report.  Thanks.

Comment 2 Robert Lightfoot 2013-04-01 23:50:04 UTC
I just repeated this test using a Windows 7 Host and VirtualBox 4.2.10 r84104 and was successful with the i386-TC3 DVD.  I did see the error mentioned when I had accidentally stopped my nfs server and it was unreachable.  But with a properly working nfs server and share I did not see this issue.

Comment 3 Tao Wu 2013-04-02 09:00:47 UTC
(In reply to comment #1)
> There's no useful information in this bug report.  Please attach
> /tmp/anaconda.log and /tmp/packaging.log as individual files to thus bug
> report.  Thanks.

I would like to attach log files but my kvm can not connect to the network, as I reported 'https://bugzilla.redhat.com/show_bug.cgi?id=947031'. So is there anyway to obtain these log file without the network support? Thanks!

Comment 4 Robert Lightfoot 2013-04-03 11:47:33 UTC
Have also tested NFS Graphical for x8664 with success.

Comment 5 Robert Lightfoot 2013-04-03 22:13:33 UTC
Further NFS testing from Centos 6.4 qemu-kvm host and both arch targets fails to repordice the witnessed behavior on my systems.

Comment 6 Chris Lumens 2013-04-04 17:03:51 UTC
You could attach another disk image to the guest, copy the logs there, and then extract them later with some of the virt tools.

Comment 7 Tao Wu 2013-04-08 09:57:34 UTC
Created attachment 732629 [details]
anaconda log

Comment 8 Tao Wu 2013-04-08 09:58:20 UTC
Created attachment 732630 [details]
packaging log

Comment 9 Tao Wu 2013-04-08 09:59:07 UTC
(In reply to comment #6)
> You could attach another disk image to the guest, copy the logs there, and
> then extract them later with some of the virt tools.

Thanks, the log files has been uploaded.

Comment 10 Chris Lumens 2013-05-01 18:46:16 UTC
I as well have not been able to reproduce this problem.  If you can reproduce it with F19 alpha, feel free to reopen with an updated /tmp/anaconda.log (perhaps also /tmp/program.log?) as well.  Thanks.


Note You need to log in before you can comment on or make changes to this bug.